package dev.shadowsoffire.apotheosis.ench.compat;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.ench.anvil.AnvilTile;
import dev.shadowsoffire.apotheosis.util.CommonTooltipUtil;
import dev.shadowsoffire.placebo.compat.TOPCompat;
import it.unimi.dsi.fastutil.objects.Object2IntMap;
import it.unimi.dsi.fastutil.objects.ObjectIterator;
import java.util.Objects;
import mcjty.theoneprobe.api.IProbeHitData;
import mcjty.theoneprobe.api.IProbeInfo;
import mcjty.theoneprobe.api.ProbeMode;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.enchantment.Enchantment;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.state.BlockState;

public class EnchTOPPlugin implements TOPCompat.Provider {
  public static void register() {
    TOPCompat.registerProvider(new dev.shadowsoffire.apotheosis.ench.compat.EnchTOPPlugin());
  }
  
  public void addProbeInfo(ProbeMode mode, IProbeInfo info, Player player, Level level, BlockState state, IProbeHitData hitData) {
    BlockEntity blockEntity = level.m_7702_(hitData.getPos());
    if (blockEntity instanceof AnvilTile) {
      AnvilTile anvil = (AnvilTile)blockEntity;
      Object2IntMap<Enchantment> enchants = anvil.getEnchantments();
      for (ObjectIterator<Object2IntMap.Entry<Enchantment>> objectIterator = enchants.object2IntEntrySet().iterator(); objectIterator.hasNext(); ) {
        Object2IntMap.Entry<Enchantment> e = objectIterator.next();
        info.text(((Enchantment)e.getKey()).m_44700_(e.getIntValue()));
      } 
    } 
    Objects.requireNonNull(info);
    CommonTooltipUtil.appendBlockStats(level, state, hitData.getPos(), info::mcText);
    if (state.m_60734_() == Blocks.f_50201_) {
      Objects.requireNonNull(info);
      CommonTooltipUtil.appendTableStats(level, hitData.getPos(), info::mcText);
    } 
  }
}
